Package org.wildfly.plugin.deployment

## Class PackageType

- java.lang.Object
- - org.wildfly.plugin.deployment.PackageType

- All Implemented Interfaces:
    `Comparable<PackageType>`

      public final class PackageType
      extends Object
      implements Comparable<PackageType>

  Date: 29.06.2011
  Author:
    James R. Perkins

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(PackageType o)` |
    `boolean` | `equals​(Object obj)` |
    `String` | `getFileExtension()` | Returns the file extension that should be used.
    `String` | `getPackaging()` | Returns the raw packaging type.
    `int` | `hashCode()` |
    `boolean` | `isIgnored()` | Checks the packaging type to see if it should be ignored or not.
    `static PackageType` | `resolve​(org.apache.maven.project.MavenProject project)` | Resolves the package type from the maven project.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### resolve

          public static PackageType resolve​(org.apache.maven.project.MavenProject project)

      Resolves the package type from the maven project.
      Parameters:
        `project` - the maven project
      Returns:
        the package type

    - #### isIgnored

          public boolean isIgnored()

      Checks the packaging type to see if it should be ignored or not.
      Returns:
        `true` if the package type should be ignored, otherwise `false`.

    - #### getPackaging

          public String getPackaging()

      Returns the raw packaging type.
      Returns:
        the packaging type

    - #### getFileExtension

          public String getFileExtension()

      Returns the file extension that should be used.
      Returns:
        the file extension

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareTo

          public int compareTo​(PackageType o)

      Specified by:
        `compareTo` in interface `Comparable<PackageType>`